Scilab Function
Last update : 16/06/2004

hrmt - PGDC de plusieurs polynômes

### Calling Sequence

  `[pg,U]=hrmt(v)`

### Parameters

- `v` : vecteur ligne de polynômes
- `pg` : polynôme
- `U` : matrice unimodulaire de polynômes

### Description

`[pg,U]=hrmt(v)` renvoie une matrice unimodulaire `U` et `pg` = PGDC de la ligne de polynômes `v` tels que `v*U = [pg,0]`.

### Examples

    x=poly(0,'x');
    v=[x*(x+1),x^2*(x+1),(x-2)*(x+1),(3*x^2+2)*(x+1)];
    [pg,U]=hrmt(v);U=clean(U)
    det(U)

### See Also

`gcd`, `htrianr`,

### Author

S. Steer INRIA